6.0.0-git
2021-01-18

[#6563] iCalendar can't parse GEO-vCard-Tags
Summary iCalendar can't parse GEO-vCard-Tags
Queue Synchronization
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester horde (at) ssn (dot) at
Created 2008-04-03 (4673 days ago)
Due
Updated 2008-08-20 (4534 days ago)
Assigned 2008-04-04 (4672 days ago)
Resolved 2008-08-20 (4534 days ago)
Milestone
Patch No

History
2008-08-20 18:57:16 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
The phone was sending correct data. vCard 2.1 specifies GEO tags 
completely different than vCard 3.0.
2008-04-09 23:02:28 Jan Schneider Milestone ⇒
 
2008-04-04 18:50:53 horde (at) ssn (dot) at Comment #5
New Attachment: Nokia_GEO_E90entry.vcf Download
Reply to this comment
Attached a vCard extracted from the wbxml-file in /tmp/sync.

This vCard is a bit long, but it has all fields the N90 offers filled.

The GEO-Tags are not vCard-RFC-compliant, as the are in wrong order 
and with the wrong delimiter.

Additionally, the N90 doesn't understand a correctly formattet GEO-Tag 
when sending it from the PC to the E90.



What we should do in any case is taking care of a wrong formatted 
GEO-Tag in iCalendar.php. In case of a wrong format (as in my case) 
the explode-function will return an array with just one element, so

'longitude' => floatval($floats[1]));

will fail, because there is no $floats[1].




2008-04-04 16:47:29 Jan Schneider Comment #4 Reply to this comment
Can you upload an example for such a vCard (from the sync logs)?
2008-04-04 11:57:06 Jan Schneider Comment #3
Assigned to Jan Schneider
State ⇒ Assigned
Milestone ⇒ 3.2
Reply to this comment
Perhaps a bug to address in SyncML/Device/Nokia.php...
Yes, sounds like a good place.
2008-04-03 14:18:19 horde (at) ssn (dot) at Comment #2 Reply to this comment
Just checked against RFC2426:

The GEO-Implementation of Nokia seems to be buggy as they send 
longitude before latitude using a comma as separator - the RFC says 
LAT;LON...



Perhaps a bug to address in SyncML/Device/Nokia.php...



regards

Lukas
2008-04-03 01:04:10 horde (at) ssn (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ iCalendar can't parse GEO-vCard-Tags
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
The GEO-vCard-Tag (at least the one submitted by my E90) is not parsed 
correctly.

It expects a semicolon between latitude and longitude, but there is a comma.



So in iCalendar.php i suggest in line 724 (v1.31 2008-01-24):

if (!strpos($value, ';')) {

   $floats = explode(',', $value);

} else {

   $floats = explode(';', $value);

}



regards

Lukas


Saved Queries